/* MakeID.inc
 *
 * Function that will create a unique sequence ID for the records created
 * within the system.  Reason for this instead of just an integer is so that
 * this ID can be placed on to the web in an URL and not worry about someone
 * fiddling with the values on a saved web page to access other records in 
 * the database.
 *
 */

DEF VAR RCSVersionMakeSeq AS CHARACTER INIT "$Header: /home/appl/marketplaza/src/RCS/MakeID.inc,v 1.1 2001/05/11 07:11:03 root Exp $" NO-UNDO.

FUNCTION MakeID RETURNS CHARACTER (INPUT Seq AS INTEGER):

  DEF VAR i AS CHARACTER NO-UNDO.

  RUN Misc/RandomString.p (INPUT 10, OUTPUT i).

  ASSIGN i = i + STRING (Seq).

  RETURN i.

END. /* FUNCTION MakeSeq() */
